### Method

# Soup Server add_auth_domain

#### Declaration [src]

    void
    soup_server_add_auth_domain (
      SoupServer* server,
      SoupAuthDomain* auth_domain
    )

#### Description [src]

Adds an authentication domain to `server`.

Each auth domain will have the chance to require authentication for each request that comes in; normally auth domains will require authentication for requests on certain paths that they have been set up to watch, or that meet other criteria set by the caller. If an auth domain determines that a request requires authentication (and the request doesn’t contain authentication), `server` will automatically reject the request with an appropriate status (401 Unauthorized or 407 Proxy Authentication Required). If the request used the SoupServer:100-continue Expectation, `server` will reject it before the request body is sent.

#### Parameters

`auth_domain`

  Type: `SoupAuthDomain`

  A `SoupAuthDomain`.

  The data is owned by the caller of the method.